#include <stdio.h>
#include "bit.h"

int main()
{
  bit a0;
  bit a1(1);
  bit b0 = 2;
  bit b1; b1 = 3;

  printf("a0 = %d\n",a0.value());
  printf("a1 = %d\n",a1.value());
  printf("b0 = %d\n",b0.value());
  printf("b1 = %d\n",b1.value());

  printf("~b0 = %d\n",(~b0).value());
  printf("~b1 = %d\n",(~b1).value());
  printf("a0&b0 = %d\n",(a0&b0).value());
  printf("a0&b1 = %d\n",(a0&b1).value());
  printf("a1&b0 = %d\n",(a1&b0).value());
  printf("a1&b1 = %d\n",(a1&b1).value());
  printf("a0|b0 = %d\n",(a0|b0).value());
  printf("a0|b1 = %d\n",(a0|b1).value());
  printf("a1|b0 = %d\n",(a1|b0).value());
  printf("a1|b1 = %d\n",(a1|b1).value());
  printf("a0^b0 = %d\n",(a0^b0).value());
  printf("a0^b1 = %d\n",(a0^b1).value());
  printf("a1^b0 = %d\n",(a1^b0).value());
  printf("a1^b1 = %d\n",(a1^b1).value());

  printf("ops %lld\n",bit::ops());

  return 0;
}
