p = 419
k = GF(p)
A = k(124)
x = k(17)

E = EllipticCurve(k,[0,A,0,1,0])
assert E.cardinality() == p + 1

y = sqrt(x^3 + A*x^2 + x)
P = E([x,y])

print 'prime',p
print 'curve',A
print 'point',x

for n in range(500):
  print n,(n*P)[0]
