n = 74
C = 5
cutoff = 1000
if len(sys.argv) > 1: cutoff = ZZ(sys.argv[1])

def succ(r,E):
  if E == 0: return 1
  if r < E: return 0
  result = 0
  b = binomial(r-1,E-1)/3^r
  while True:
    result += b
    if r == E: return 2^E*result
    r -= 1
    b *= 3*(r+1-E)/r

def f(r,E):
  return 1 - succ(r,E)

R.<x> = QQ[]
g = (1+2*sum(x^j for j in range(1,C+1)))^n/(2*C+1)^n

for r in range(cutoff):
  failure = RR(sum(f(r,E)*g[E] for E in range(n*C+1)))
  e = 0
  while failure < 1/2:
    e += 1
    failure *= 2
  
  print '%d %.3f * 2^{-%d}' % (r,failure,e)
  sys.stdout.flush()
