#ifndef chain_h
#define chain_h

#include <gmpxx.h>
#include <vector>

std::vector<int> chain(mpz_class,int);
int chain_bestW(mpz_class);

// op 0 means n |-> 2n
// op 1,2,3,5,7,...,W means n |-> n+op
// chain(n,W): ops used in reverse order for 0 |-> n
// chain_bestW(n): W that minimizes model of chain cost for n

#endif
